# Class BCF2FieldWriter.IntegerTypeGenotypesWriter

java.lang.Object
htsjdk.variant.variantcontext.writer.BCF2FieldWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.GenotypesWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.IntegerTypeGenotypesWriter

Enclosing class:
  `BCF2FieldWriter`

public static class BCF2FieldWriter.IntegerTypeGenotypesWriter extends BCF2FieldWriter.GenotypesWriter

Since:
  06/12

## Nested Class Summary

### Nested classes/interfaces inherited from class BCF2FieldWriter

`BCF2FieldWriter.FTGenotypesWriter, BCF2FieldWriter.GenericSiteWriter, BCF2FieldWriter.GenotypesWriter, BCF2FieldWriter.GTWriter, BCF2FieldWriter.IGFGenotypesWriter, BCF2FieldWriter.IntegerTypeGenotypesWriter, BCF2FieldWriter.SiteWriter, BCF2FieldWriter.StaticallyTypeGenotypesWriter`

## Constructor Summary

Constructors
Constructor
Description
`IntegerTypeGenotypesWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(BCF2Encoder encoder, VariantContext vc)`

### Methods inherited from class BCF2FieldWriter.GenotypesWriter

`addGenotype, numElements`

### Methods inherited from class BCF2FieldWriter

`done, getField, getFieldEncoder, getHeader, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IntegerTypeGenotypesWriter

public IntegerTypeGenotypesWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)

## Method Details

### start

public void start(BCF2Encoder encoder, VariantContext vc) throws IOException

Overrides:
  `start` in class `BCF2FieldWriter.GenotypesWriter`
Throws:
  `IOException`